FCLOSE(3)

NAME
fcloseall - close all open streams

SYNOPSIS
#define _GNU_SOURCE

#include <stdio.h>

int fcloseall(void);

DESCRIPTION
The fcloseall function dissociates all open streams from its underlying file or set of functions. Any buffered output data is written first, using fflush(3). Note that the standard streams (stdin, stdout and stderr) are also closed.

RETURN VALUE
This function always returns 0.

SEE ALSO
close(2), fclose(3), fflush(3), fopen(3), setbuf(3)

CONFORMING TO
The fcloseall function is a GNU extension.